JAGUARETE_KAA/CARRO/urls.py
from django.urls import path
from .views import *

app_name = "carro"

urlpatterns = [
    path("carro/", listado_carro, name='carro'),
    path("agregar/<int:producto_id>/", agregar_producto, name="agregar"),
    path("eliminar/<int:producto_id>/", eliminar_producto, name="eliminar"),
    path("restar/<int:producto_id>/", restar_producto, name="restar"),
    path("vaciar/", vaciar_carro, name="vaciar"),

]

JAGUARETE_KAA/CATEGORIAS/urls.py
from django.urls import path
from . import views

app_name="CATEGORIAS"
urlpatterns = [
    path('', views.index, name="index"),
    path('agregar', views.agregar, name="agregar")
]

JAGUARETE_KAA/JAGUARETE_KAA/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/', include("USUARIOS.urls")),
    path('', include("JUGUETES.urls")),
    path('', include("CARRO.urls")),
    
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

JAGUARETE_KAA/CATEGORIAS/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render
from django import forms
from django.urls import reverse
#from .models import CATEGORIAS

#def index(request):
    #return render(request,"categorias/index.html",{
        #"lista_categorias": CATEGORIAS.object.all()
    #})

#class FormCategoriaCustom(forms.ModelForm):
    #campo del modelo
    #class Meta:
        #fields = ('juguetes','creatividad','vehiculos','muñecos','descripcion')

class FormAltaCategoria(forms.Form):
    CATEGORIAS = forms.CharField(label="Nueva categoria")

# Create your views here.
def index(request):
    if "categorias" not in request.session:
        request.session["categorias"] = []
    return render(request, "categorias/index.html", {
        'categorias': request.session["categorias"]
        })

def agregar(request):
    if request.method == "POST":
        form = FormAltaCategoria(request.POST)
        if form.is_valid():
            categoria = form.cleaned_data["categoria"]
            request.session["categorias"] += [categoria]
            return HttpResponseRedirect(reverse("CATEGORIAS:index"))
        else:
            return render(request, "categorias/agregar.html", {
                "formulario_alta_categoria": form
            })
    else:
        return render(request, "categoria/agregar.html", {
            "formulario_alta_categoria":FormAltaCategoria()
        })

JAGUARETE_KAA/CATEGORIAS/templates/categorias/agregar.html
{% extend "categoria/layout.html" %}
{% block body %}
<h1>Alta de Categoria</h1>
<form action="{% url 'CATEGORIAS:agregar' %}" method="post">
    {% csrf_token %}
    {% formulario_alta_categoria %}
    <input type="submit" value="Guardar">
</form>
<div class="acciones">
    <a href="{% url 'CATEGORIAS:index' %}">Volver a lista de Categorias</a>
</div>
{% endblock %}   

JAGUARETE_KAA/CATEGORIAS/templates/categorias/index.html
{% extend "categorias/layout.html" %}
{% block body %}
    {% for una_categoria in categorias %}
        <li>{{ una_categoria}}</li>
    {% endfor %}
    <li>#{{una_categoria.id}}: {{juguetes}} {{creatividad}} {{vehiculos}} {{muñecos}} {{descripcion}}</li>
    <div class="acciones">
        <a href="{% url 'CATEGORIAS:agregar' %}">Agregar una nueva Categoria</a>
    </div>
{% endblock %}

JAGUARETE_KAA/CATEGORIAS/templates/categorias/layout.html
<!DOCTYPE html>
<html lang="es">
    <head>
        <title>Listado de Categorias</title>
        <link rel="stylesheet" href="{%static 'CATEGORIAS/style.css' %}">
    </head>
    <body>
        {% block body %}
                         {% for una_categoria in categorias %}
                             <h1>{{ una_categoria}}</h1>
                         {% endfor %}
        {% endblock %}    
            
            
            <li>#{{una_categoria.id}}: {{juguetes}} {{creatividad}} {{vehiculos}} {{muñecos}} {{descripcion}}</li>
        <div class="acciones">
            <a href="{% url 'CATEGORIAS:agregar' %}">Agregar una nueva Categoria</a>
        </div>
    </body>
    <footer></footer>
</html>